# Data Tile Widget

**General Setting**

User can change following things in Data Tile widget:

* Name for widget which will be used data reference. For Example, if widget name is 'Data Tile', then data of widget is referenced as Data Tile.data
* Show title - User can show/hide widget title
* Title Color
* Background Color

![Configure Data Tile Widget](/files/Mt0ldUJnYVCweej1WzhH)

**Widget Setting**

In Widget Setting option, user can change following parameters:

* Key - key parameter of JSON Object which will define data of Data Tile Widget.
* Data Color&#x20;
* Unit Color&#x20;
* Unit - If any unit need to be given. For example, '%' for battery data.
* Decimal units - Number of decimal points in required in data

![Configure Data Tile Widget](/files/vWF5xYXbXkQ0wJhOpFT1)

#### Source <a href="#source" id="source"></a>

User can select a source mode as MQTT or Action.

**Using MQTT**

Here, to update data on Data Tile Widget user can publish JSON object on given **testData** MQTT topic. No need to provide \<account\_id> while providing the MQTT topic. The JSON object will be as below.

```
{"testKey":10.2}

// Here, 'testKey' is key defined for Data Tile widget.
```

![Configure Data Tile Widget](/files/1348ihj88nqG3OuM2xhB)

**Using Action**

Here, to update the data on Data Tile widget, output of the action should contain JSON object as given in above example. User can also update the widget either onLoad or periodically by providing refresh interval.

![Configure Data Tile Widget](/files/3KuDPdrgSkycSO7z158U)

#### Event Handling

Data Tile widget does not support any event.

#### Example

If we configure Data Tile Widget as below:

1. key - testKey
2. Unit - %
3. Decimal points - 2

and set source type for widget as MQTT and topic configured is 'data'. And if we publish following JSON Object over 'data' topic then Data Tile Widget will look as shown in image.

```
// Data over configured MQTT Topic

{ 
    "testKey":89.98
}
```

![Data Tile Widget Example](/files/ZQcaWb5ntGdm5dU7WstD)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thingsup.io/widgets/data-tile-widget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
